import React, {useState,useCallback,useEffect}from 'react';
import ReactDOM from 'react-dom';
import {csv} from 'd3';
import {message} from './message';

const csvUrl = 'https://gist.githubusercontent.com/yinhao0424/9f1730ca91ab6a472fc212761267fa39/raw/1162fefab646a7ef3b9601ff3580a41b4ba9477e/h1b_sample.csv';



const App = () => {
  const [data, setData] = useState(null);
  useEffect(() => {csv(csvUrl).then(setData);
  },[]);
      
  
  return <pre>{data ? message(data):'loading'} </pre>;
                  };

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);











